{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":578,"path":"api-reference/rest-apis/wsd_reservable-V2-api.md","title":"WSD Reservable V2 API","bundle":null,"doc_type":null,"release":"australia","body":"\n# WSD Reservable V2 API\n\nThe Workplace Service Delivery \\(WSD\\) Reservable V2 API provides endpoints to retrieve details of a reservable, an entity that can be reserved, such as a workplace location, from a ServiceNow instance.\n\nThe WSD Reservable V2 API is a new version of the [WSD Reservable API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/wsd_reservable-api.md). The WSD Reservable V2 API fetches details of all reservable space\\(s\\) on the WSD Portal that you select while making a reservation. The original WSD Reservable API version used a GET call but limited the sys\\_ID path parameter to 35 characters. The new WSD Reservable V2 API version is a POST call and takes all the sys\\_ids in the request body to avoid character limitations.\n\nTo access this API, the caller must have the sn\\_wsd\\_core.workplace\\_user role.\n\nThis API runs in the `sn_wsd_rsv` namespace. To access this API, the Workplace Reservation Management \\(sn\\_wsd\\_rsv\\) plugin must be activated.\n\nFor additional information on Workplace Reservation Management, see [Workplace Reservation Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/workplace-rsv-mgmt-feat.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## WSD Reservable V2 API - POST /sn\\_wsd\\_rsv/v2/reservable/list\\_reservables\n\nReturns the details for one or more specified reservables.\n\n### URL format\n\nDefault URL: `POST api/sn_wsd_rsv/v2/reservable/list_reservables`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td>\n\nRequired. Version of the endpoint to access. Specify `v2` to employ this API, otherwise using `v1` employs the default version of the WSD Reservable API.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ninclude\\_flexible\\_services\n\n</td><td>\n\nFlag that indicates whether to return the flexible services associated with the reservable in to the response.A flexible service is an additional provision available with a reservable workplace item when a reservation is made. For example, Classroom style - Rows of tables arranged with all participants facing towards the front of the room. For additional information on flexible services, see [Create a flexible service](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/add-flexible-service.md).\n\nValid values:\n\n-   true: Return the flexible service information.\n-   false: Do not return the flexible service information.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ninclude\\_standard\\_​services\n\n</td><td id=\"include_standard_services-reserv-entry\">\n\nFlag that indicates whether to return the standard services information in the response. This information is located in the Standard Service \\[sn\\_wsd\\_rsv\\_standard\\_service\\] table.A standard service describes basic provisions available with a reservable workplace item when the reservation is made, such as white boards, additional monitors, and similar services. For additional information on standard services, see [Standard services](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/standard-service.md).\n\nValid values:\n\n-   true: Return the standard services information.\n-   false: Don't return the standard services information.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ninclude\\_reservable\\_purposes\n\n</td><td>\n\nOptional. Flag that indicates whether to return the purpose associated with the reservable.Valid values:\n\n-   true: Return the purpose of the reservable.\n-   false: Do not return the purpose of the reservable.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\ninclude\\_layouts\n\n</td><td>\n\nFlag that indicates whether to return the location layout information in the response.Location layout information include such things as capacity, max capacity, preparation, and clean up duration.\n\nValid values:\n\n-   true: Return the location layout information.\n-   false: Don't return the location layout information.\n\nData type: Boolean\n\nDefault: false\n\nTable: Location Layout \\[sn\\_wsd\\_rsv\\_m2m\\_location\\_layout\\]\n\n</td></tr><tr><td>\n\nreservable\\_module\\_sys\\_id\n\n</td><td>\n\nRequired. Sys\\_id of the reservable module, for example: desk, meeting room, etc.A reservable module groups similar types of workplace items.\n\nFor additional information on reservable modules, see [Configure a reservable module](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/config-reservable-module.md).\n\nData type: String\n\nDefault: Empty value\n\nTable: Reservable Module \\[sn\\_wsd\\_rsv\\_reservable\\_module\\]\n\n</td></tr><tr><td>\n\nreservation\\_start\\_time\n\n</td><td id=\"reservation_ids-reserv-start-entry\">\n\nReservation start time to validate the lead time of extra services.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nspace\\_sys\\_ids\n\n</td><td>\n\nRequired. Comma-separated sys\\_ids of selected spaces.Data type: String\n\nDefault: Empty value\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td>\n\nData format of the response body. Only supports application/json.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n404\n\n</td><td>\n\nCould not find reservables.Look for the WSD Core Spaces \\[sn\\_wsd\\_core\\_spaces\\] table and verify the space record is present.\n\n</td></tr><tr><td>\n\n500\n\n</td><td>\n\nError occurred! Unable to retrieve reservables. This is a server error. Contact system administration.\n\n</td></tr></tbody>\n</table>### Response body parameters\n\n<table id=\"table_hw2_mvy_yzb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails on each matching reservable.Data type: Array of Objects\n\n```\n{\n  \"result\": [\n    {\n      \"allow_invitees\": Boolean,\n      \"area\": {Object},\n      \"building\": {Object},\n      \"campus\": {Object},\n      \"capacity\": Number,\n      \"description\": \"String\",\n      \"display_number_of_attendees\": Boolean,\n      \"display_on_behalf_of\": Boolean,\n      \"display_sensitivity\": Boolean,\n      \"email\": \"String\",\n      \"employee_override_privacy\": Boolean\n      \"enable_group_reservations\": Boolean,\n      \"enable_reservation_privacy\": Boolean,\n      \"external_id\": \"String\",\n      \"flexible_services\": [Array],\n      \"floor\": {Object},\n      \"image\": {Object},\n      \"is_reservable\": Boolean,\n      \"layouts\": [Array],\n      \"location_type\": {Object},\n      \"meetingProviders\": [Array],\n      \"moduleType\": \"String\",\n      \"name\": \"String\",\n      \"number\": \"String\",\n      \"order\": Number,\n      \"require_approval\": Boolean,\n      \"requires_check_in\": Boolean,\n      \"require_subject\": Boolean,\n      \"reservable_quantity\": Number,\n      \"site\": {Object},\n      \"standard_services\": [Array],\n      \"sys_id\": \"String\",\n      \"title\": \"String\",\n      \"type\": \"String\",\n      \"tableName\": \"String\"\n    }\n  ]\n}\n```\n\n</td></tr><tr><td>\n\nresult.allow\\_invitees\n\n</td><td id=\"allow_invitees-reserv_mod-entry\">\n\nFlag that indicates whether employees are able to add invitees to the reservation. Valid values:\n\n-   true: Allow employees to add invitees to the reservation.\n-   false: Don't allow employees to add invitees to the reservation.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.area\n\n</td><td>\n\nArea where the reservable is located. Data type: Object\n\n```\n\"area\": {\n   \"display_value\": \"String\",\n   \"sys_id\": \"String\"\n}\n```\n\nTable: Area \\[sn\\_wsd\\_core\\_area\\]\n\n</td></tr><tr><td>\n\nresult.area.display\\_value\n\n</td><td>\n\nDisplay value for the area.Data type: String\n\n</td></tr><tr><td>\n\nresult.area.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated area record.Data type: String\n\n</td></tr><tr><td>\n\nresult.building\n\n</td><td id=\"building-reserv-entry\">\n\nBuilding where the reservable is located.Data type: Object\n\n```\n\"building\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\",\n  \"timezone\": {Object}\n}\n```\n\nTable: Building \\[sn\\_wsd\\_core\\_building\\]\n\n</td></tr><tr><td>\n\nresult.building.display\\_value\n\n</td><td id=\"building_display_value-reserv-entry\">\n\nDisplay value for the building.Data type: String\n\n</td></tr><tr><td>\n\nresult.building.sys\\_id\n\n</td><td id=\"building_sys_id-reserv-entry\">\n\nSys\\_id of the associated building record.Data type: String\n\n</td></tr><tr><td>\n\nresult.building.timezone\n\n</td><td id=\"building_timezone-reserv-entry\">\n\nDetails of the time zone for the building.Data type: Object\n\n```\n\"timezone\": {\n  \"displayValue\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.building.timezone.display\\_value\n\n</td><td id=\"building_timezone_display_value-reserv-entry\">\n\nDisplay value of the time zone in which the associated building resides.Data type: String\n\n</td></tr><tr><td>\n\nresult.building.timezone.value\n\n</td><td id=\"building_timezone_value-reserv-entry\">\n\nInternal value of the time zone in which the associated building resides.Data type: String\n\n</td></tr><tr><td>\n\nresult.campus\n\n</td><td>\n\nCampus where the reservable is located.Data type: Object\n\n```\n\"campus\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Campus \\[sn\\_wsd\\_core\\_campus\\]\n\n</td></tr><tr><td>\n\nresult.campus.display\\_value\n\n</td><td>\n\nDisplay value for the campus.Data type: String\n\n</td></tr><tr><td>\n\nresult.campus.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated campus record.Data type: String\n\n</td></tr><tr><td>\n\nresult.capacity\n\n</td><td>\n\nNumber of people that the reservable can accommodate.Data type: Number\n\n</td></tr><tr><td>\n\nresult.description\n\n</td><td>\n\nDescription of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.display\\_number\\_of\\_attendees\n\n</td><td id=\"display_number_of_attendees-reserv_mod-entry\">\n\nFlag that indicates whether users can specify the number of attendees in the reservation. Valid values:\n\n-   true: Users can specify the number of attendees.\n-   false: Users can't specify the display number of attendees.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.display\\_on\\_behalf\\_of\n\n</td><td id=\"display_on_behalf_of-reserv_mod-entry\">\n\nFlag that indicates whether reservations can be made on behalf of someone else. Valid values:\n\n-   true: On behalf of supported.\n-   false: On behalf of not supported.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.display\\_sensitivity\n\n</td><td id=\"display_sensitivity-reserv_mod-entry\">\n\nFlag that indicates whether users can set the sensitivity of the reservation, such as normal or private.Valid values:\n\n-   true: Able to set sensitivity.\n-   false: Not able to set sensitivity. Defaults to normal.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.email\n\n</td><td>\n\nEmail address associated with the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.employee\\_override\\_privacy\n\n</td><td>\n\nFlag that indicates whether users can override the privacy setting for the associated reservable.For additional information on these privacy settings, see [Location privacy settings and impact](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/location-privacy-settings-and-impact.md).\n\n Valid values:\n\n-   true: Users can override the privacy setting for the associated reservable.\n-   false: Users cannot override the privacy setting for the associated reservable.\n\n</td></tr><tr><td>\n\nresult.enable\\_group\\_reservations\n\n</td><td id=\"enable_group_reservations-reserv_mod-entry\">\n\nFlag that indicates whether users can make a group reservation.Valid values:\n\n-   true: Able to make group reservations.\n-   false: Not able to make group reservations.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.enable\\_reservation\\_privacy\n\n</td><td>\n\nFlag that indicates the default setting for reservation privacy.\n\n For additional information on these privacy settings, see [Location privacy settings and impact](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/location-privacy-settings-and-impact.md).\n\n Possible values:\n\n-   true: Reservations are private by default.\n-   false: Reservations are not private by default.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nresult.external\\_id\n\n</td><td>\n\nExternal ID of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services\n\n</td><td>\n\nPopulated only if the **include\\_flexible\\_services** parameter is set to true and the workplace case management plugin is installed. Description of the flexible services associated with the reservables. There can be a parent flexible service, and several child flexible services.Data type: Array of Objects\n\n```\nflexible_services\": [\n  {\n    \"additional_text\": \"String\",\n    \"allow_only_single_service_item_selection\": Boolean,\n    \"category\": \"String\",\n    \"currency_code\": \"String\",\n    \"flexible_service\": [Array],\n    \"label\": \"String\",\n    \"sub_category\": \"String\",\n    \"sub_title\": \"String\",\n    \"text\": \"String\",\n    \"title\": {Object}\n  }\n]\n```\n\nTable: Workplace Service Item \\[sn\\_wsd\\_case\\_workplace\\_service\\_item\\]\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.additional\\_text\n\n</td><td>\n\nText to prompt user to select additional flexible services. Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.allow\\_only\\_single\\_​service\\_item\\_selection\n\n</td><td>\n\nFlag that indicates whether users can select only one service item among the group of flexible services within a reservation.Valid values:\n\n-   true: Only able to make a single selection.\n-   false: Able to make multiple selections.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.category\n\n</td><td>\n\nCategory of the flexible services.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.currency\\_code\n\n</td><td>\n\nCurrency code used to calculate the amount of currency when ordering flexible services.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service\n\n</td><td>\n\nFlexible services corresponding to a parent flexible service.Data type: Array of Objects\n\n```\n\"flexible_service\": [\n  {\n    \"flexible_service\": [Array],\n    \"label\": \"String\",\n    \"sub_category\": \"String\"\n }\n]\n```\n\nTable: Workplace Service Item \\[sn\\_wsd\\_case\\_workplace\\_service\\_item\\]\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service\n\n</td><td>\n\nDetails of each flexible service corresponding to a parent flexible service.Data type: Array of Objects\n\n```\n\"flexible_service\": [\n  {\n    \"additional_text\": \"String\",\n    \"capacity_enabled\": Boolean,\n    \"category\": \"String\",\n    \"category_label\": \"String\",\n    \"cleanup_duration\": \"String\",\n    \"image\": \"String\",\n    \"max_capacity\": Number,\n    \"name\": \"String\",\n    \"preparation_duration\": \"String\",\n    \"price_per_unit\": {Object},\n    \"quantity_enabled\": Boolean,\n    \"quantity_required\": Boolean,\n    \"short_description\": \"String\",\n    \"sub_category\": \"String\",\n    \"sub_category_label\": \"String\",\n    \"sub_title\": \"String\",\n    \"sys_id\": \"String\",\n    \"text\": \"String\",\n    \"title\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.additional\\_text\n\n</td><td>\n\nText used to prompt a user to select additional flexible services.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.capacity\\_enabled\n\n</td><td>\n\nFlag that indicates whether the capacity of the room should appear in the reservation. If this is set to true, **quantity\\_enabled** will always be false.Valid values:\n\n-   true: Capacity should appear.\n-   false: Capacity should not appear.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.category\n\n</td><td>\n\nCategory of the flexible service.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.category\\_label\n\n</td><td>\n\nCategory label of flexible service.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.cleanup\\_duration\n\n</td><td>\n\nAmount of time it takes to clean up or remove the service added to the reservable.Data type: Number\n\n Unit: Milliseconds\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.image\n\n</td><td>\n\nLink to the image of the flexible service.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.max\\_capacity\n\n</td><td>\n\nMaximum number of occupants that the reservable can accommodate.Data type: Number\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.name\n\n</td><td>\n\nName of flexible service.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.preparation\\_duration\n\n</td><td>\n\nAmount of time it takes to add the service to the reservable.Data type: String\n\n Unit: Milliseconds\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.price\\_per\\_unit\n\n</td><td>\n\nDetails of the cost of adding the flexible service to the reservable.Data type: Object\n\n ```\n\"price_per_unit\": {\n  \"code\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.price\\_per\\_unit.code\n\n</td><td>\n\nCurrency code to use when calculating the cost, such as GBP or USD.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.price\\_per\\_unit.value\n\n</td><td>\n\nCost for each unit of the flexible service in the currency defined in the code parameter.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.quantity\\_enabled\n\n</td><td>\n\nFlag that indicates whether the quantity field should appear in the reservation. If this is set to true, **capacity\\_enabled** will always be false.Valid values:\n\n-   true: Quantity should appear.\n-   false: Quantity should not appear.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.quantity\\_required\n\n</td><td>\n\nFlag that indicates whether the quantity is required.Valid values:\n\n-   true: Quantity is required.\n-   false: Quantity is not required.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.short\\_description\n\n</td><td>\n\nBrief description of the flexible service.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.sub\\_category\n\n</td><td>\n\nSub-category name of the flexible service, such as chair\\_layout.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.sub\\_category\\_label\n\n</td><td>\n\nSub-category label of the flexible service, such as Chair layout.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.sub\\_title\n\n</td><td>\n\nSub-title name of the child flexible service.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.sys\\_id\n\n</td><td>\n\nSys\\_id of flexible service. Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.text\n\n</td><td>\n\nText used to prompt a user to select flexible services.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.title\n\n</td><td>\n\nDetails for the titles to use when adding and editing the child flexible service in the UI.Data type: Object\n\n ```\n\"title\": {\n  \"add\": \"String\",\n  \"edit\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.title.add\n\n</td><td>\n\nTitle used when adding a child flexible service in the UI.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​flexible\\_service.title.edit\n\n</td><td>\n\nTitle used when editing a child flexible service in the UI.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.label\n\n</td><td>\n\nFlexible service label.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​sub\\_category\n\n</td><td>\n\nSub-category of the parent flexible services, such as additional chair.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.​sub\\_title\n\n</td><td>\n\nSub-title name of the parent flexible service.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.text\n\n</td><td>\n\nText used to prompt a user to select a parent flexible services.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.title\n\n</td><td>\n\nDetails for the titles to use when adding and editing the parent flexible service in the UI.Data type: Object\n\n ```\n\"title\": {\n  \"add\": \"String\",\n  \"edit\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.title.​add\n\n</td><td>\n\nTitle used when adding a parent flexible service in the UI.Data type: String\n\n</td></tr><tr><td>\n\nresult.flexible\\_services.flexible\\_service.title.​edit\n\n</td><td>\n\nTitle used when editing a parent flexible service in the UI.Data type: String\n\n</td></tr><tr><td>\n\nresult.floor\n\n</td><td>\n\nDetails about the floor on which the reservable is located.Data type: Object\n\n```\n\"floor\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.floor.display\\_value\n\n</td><td id=\"floor_display_value-reserv-entry\">\n\nDisplay number of the floor on which the reservable resides, such as 12.Data type: String\n\n</td></tr><tr><td>\n\nresult.floor.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated record.Data type: String\n\nTable: Floor \\[sn\\_wsd\\_core\\_floor\\]\n\n</td></tr><tr><td>\n\nresult.image\n\n</td><td>\n\nDetails about an image that represents the associated reservable.Data type: Object\n\n```\n\"image\": {\n  \"link\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.image.link\n\n</td><td>\n\nLink to an image that represents the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.image.sys\\_id\n\n</td><td>\n\nSys\\_id of the associated image record.Data type: String\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.is\\_reservable\n\n</td><td>\n\nFlag that indicates whether the flexible service can be reserved.Valid values:\n\n-   true: Flexible service can be reserved.\n-   false: Flexible service can't be reserved.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresults.layouts\n\n</td><td id=\"layouts-reserv-entry\">\n\nOnly populated if the **include\\_layouts** parameter is set to true.List of the layouts associated with the reservable.\n\nData type: Array of Objects\n\n```\n\"layouts\": [\n  {\n    \"capacity\": Number,\n    \"cleanup_duration\": \"String\",\n    \"image\": {Object},\n    \"is_default\": Boolean,\n    \"max_capacity\": Number,\n    \"name\": \"String\",\n    \"preparation_duration\": \"String\",\n    \"short_description\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.layouts.capacity\n\n</td><td id=\"layouts_capacity-reserv-entry\">\n\nNumber of people that will attend the meeting.Data type: Number\n\n</td></tr><tr><td>\n\nresult.layouts.cleanup\\_duration\n\n</td><td id=\"layouts_cleanup_duration-reserv-entry\">\n\nAmount of time it takes to clean the reservable for this layout.Data type: Number\n\nUnit: Milliseconds\n\n</td></tr><tr><td>\n\nresult.layouts.image\n\n</td><td id=\"layouts_image-reserv-entry\">\n\nDetails about an image that represents the layout for the associated reservable.Data type: Object\n\n```\n\"image\": {\n  \"link\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.layouts.image.link\n\n</td><td id=\"layouts_image_link-reserv-entry\">\n\nLink to an image that represents the layout for this reservable.Data type: String\n\nTable: Images \\[db\\_image\\]\n\n</td></tr><tr><td>\n\nresult.layouts.image.sys\\_id\n\n</td><td id=\"layouts_image_sys_id-reserv-entry\">\n\nSys\\_id of the associated image record.Data type: String\n\n</td></tr><tr><td>\n\nresult.layouts.is\\_default\n\n</td><td id=\"layouts_is_default-reserv-entry\">\n\nFlag that indicates whether the associated layout is the default for the reservable. Valid values:\n\n-   true: Default.\n-   false: Not default.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.layouts.max\\_capacity\n\n</td><td id=\"layouts_max_capacity-reserv-entry\">\n\nMaximum number of people that the layout associated with the reservable can accommodate.Data type: Number\n\n</td></tr><tr><td>\n\nresult.layouts.name\n\n</td><td id=\"layouts_name-reserv-entry\">\n\nName of the location layout. Data type: String\n\n</td></tr><tr><td>\n\nresult.layouts.preparation\\_duration\n\n</td><td id=\"layouts_preparation_duration-reserv-entry\">\n\nAmount of time it takes to prepare the associated location layout.Data type: Number\n\nUnit: Milliseconds\n\n</td></tr><tr><td>\n\nresult.layouts.short\\_description\n\n</td><td id=\"layouts_short_description-reserv-entry\">\n\nBrief description of the location layout.Data type: String\n\n</td></tr><tr><td>\n\nresult.layouts.sys\\_id\n\n</td><td id=\"layouts_sys_id-reserv-entry\">\n\nSys\\_id of the location layout.Data type: String\n\nTable: Layout \\[sn\\_wsd\\_rsv\\_layout\\]\n\n</td></tr><tr><td>\n\nresult.location\\_type\n\n</td><td id=\"location_type-reserv-entry\">\n\nDetails about the type of location of the reservable, such as workplace/desk, cafe, or gym.Data type: Object\n\n```\n\"location_type\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Space Type \\[sn\\_wsd\\_core\\_space\\_type\\]\n\n</td></tr><tr><td>\n\nresult.location\\_type.display\\_value\n\n</td><td id=\"location_type_display_value-reserv-entry\">\n\nDisplay value of the location type.Data type: String\n\n</td></tr><tr><td>\n\nresult.location\\_type.sys\\_id\n\n</td><td id=\"location_type_sys_id-reserv-entry\">\n\nSys\\_id of the associated record.Data type: String\n\nTable: Space Type \\[sn\\_wsd\\_core\\_space\\_type\\]\n\n</td></tr><tr><td>\n\nresult.meetingProviders\n\n</td><td>\n\nDetails about the virtual meeting providers associated with the reservable. Data type: Array of Objects\n\n```\n\"meetingProviders\": [\n  {\n    \"display_value\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\nTable: Virtual Meeting Provider \\[sn\\_wsd\\_rsv\\_virtual\\_meeting\\_provider\\]\n\n</td></tr><tr><td>\n\nresult.meetingProviders.display\\_value\n\n</td><td>\n\nDisplay value of the virtual provider's name.Data type: String\n\n</td></tr><tr><td>\n\nresult.meetingProviders.value\n\n</td><td>\n\nActual value for the virtual provider's name in the record.Data type: String\n\n</td></tr><tr><td>\n\nresult.moduleType\n\n</td><td>\n\nReservable module associated with the reservable, such as desks or meeting room.Data type: String\n\n</td></tr><tr><td>\n\nresult.name\n\n</td><td id=\"name-reserv-entry\">\n\nName of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.number\n\n</td><td id=\"number-reserv-entry\">\n\nUnique identifier of the reservable. This value is more human readable than the sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nresult.order\n\n</td><td id=\"order-reserv-entry\">\n\nOrder number for the reservable.Data type: Number\n\n</td></tr><tr><td>\n\nresult.require\\_approval\n\n</td><td id=\"require_approval-reserv-entry\">\n\nFlag that indicates whether reserving the reservable requires an approval.Possible values:\n\n-   true: Approval required.\n-   false: Approval isn't required.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.requires\\_check\\_in\n\n</td><td id=\"requires_check_in-reserv-entry\">\n\nFlag that indicates whether the reservable requires the user to check in.Valid values:\n\n-   true: Check in required.\n-   false: Check in isn't required.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.require\\_subject\n\n</td><td id=\"require_subject-reserv_mod-entry\">\n\nFlag that indicates whether the user must enter a subject when making the reservation.Valid values:\n\n-   true: Subject required.\n-   false: Subject isn't required.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.reservable\\_quantity\n\n</td><td id=\"reservable_quantity-reserv-entry\">\n\nMaximum number of times the associated reservable can be reserved for the same time. This value is used when assigning neighborhood spaces to an area.Data type: Integer\n\n</td></tr><tr><td>\n\nresult.site\n\n</td><td id=\"site-reserv-entry\">\n\nDetails about the site where the reservable resides.Data type: Object\n\n```\n\"site\": {\n  \"display_value\": \"String\",\n  \"sys_id\": \"String\"\n}\n```\n\nTable: Site \\[sn\\_wsd\\_core\\_site\\]\n\n</td></tr><tr><td>\n\nresult.site.display\\_value\n\n</td><td id=\"site_display_value-reserv-entry\">\n\nDisplay value of the site.Data type: String\n\n</td></tr><tr><td>\n\nresult.standard\\_services\n\n</td><td id=\"std_serv-reserv-entry\">\n\nOnly populated if the **include\\_standard\\_services** parameter is set to true. Associated standard services, such as flip chart, projector screen, and whiteboard and markers.\n\nData type: Array of Objects\n\n```\n\"standard_services\": [\n  {\n    \"font_awesome_icon\": \"String\",\n    \"name\": \"String\",\n    \"short_description\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.standard\\_services.font\\_awesome\\_icon\n\n</td><td id=\"std_serv_font-awesome_icon-reserv-entry\">\n\nName of the thumbnail icon associated with the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.standard\\_services.name\n\n</td><td id=\"std_serv_name-reserv-entry\">\n\nName of the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.standard\\_services.short\\_description\n\n</td><td id=\"std_serv_short_description-reserv-entry\">\n\nBrief description of the standard service.Data type: String\n\n</td></tr><tr><td>\n\nresult.standard\\_services.sys\\_id\n\n</td><td id=\"std_serv_sys_id-reserv-entry\">\n\nSys\\_id of the standard service record.Data type: String\n\nTable: Standard Service \\[sn\\_wsd\\_rsv\\_standard\\_service\\]\n\n</td></tr><tr><td>\n\nresult.site.sys\\_id\n\n</td><td id=\"site_sys_id-reserv-entry\">\n\nSys\\_id of the associated site record.Data type: String\n\nTable: Site \\[sn\\_wsd\\_core\\_site\\]\n\n</td></tr><tr><td>\n\nresult.tableName\n\n</td><td id=\"tableName-reserv-entry\">\n\nName of the table in which the reservable record resides. Data type: String\n\n</td></tr><tr><td>\n\nresult.title\n\n</td><td id=\"title-reserv-entry\">\n\nTitle of the reservable.Data type: String\n\n</td></tr><tr><td>\n\nresult.type\n\n</td><td id=\"type-reserv-entry\">\n\nType of a reservable, such as location.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to call this endpoint to return details about the specified reservables.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/v2/reservable/list_reservables\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\\\"space_sys_ids\\\":\\\"3ed3139977220110b3d7be377b5a99d1\\\",\\\"reservable_module_sys_id\\\":\\\"c31241cedb7650106c731dcd13961917\\\",\\\"include_flexible_services\\\":true,\\\"include_standard_services\\\":true,\\\"include_reservable_purposes\\\":true,\\\"include_layouts\\\":false}\" \\\n--user 'username:'password'\n\n```\n\nResponse body. This example returns details about all the reservables listed in the request body.\n\n```\n{\n  \"result\": [\n    {\n      \"sys_id\": \"3ed3139977220110b3d7be377b5a99d1\",\n      \"external_id\": \"447b9dfb475a011064062782846d4382\",\n      \"wsd_email\": null,\n      \"name\": \"A263\",\n      \"title\": \"A263\",\n      \"description\": null,\n      \"image\": null,\n      \"number\": \"ROOM0000181\",\n      \"site\": {\n        \"sys_id\": \"b35f47ffdba05010f342a0da4b961998\",\n        \"display_value\": \"Italy\"\n      },\n      \"campus\": {\n        \"sys_id\": \"87831b1977220110b3d7be377b5a9946\",\n        \"display_value\": \"\"\n      },\n      \"building\": {\n        \"sys_id\": \"dea39b1977220110b3d7be377b5a9955\",\n        \"display_value\": \"\",\n        \"timezone\": {\n          \"value\": \"\",\n          \"displayValue\": \"\"\n        }\n      },\n      \"floor\": {\n        \"sys_id\": \"68d31f5977220110b3d7be377b5a991b\",\n        \"display_value\": \"\"\n      },\n      \"area\": null,\n      \"capacity\": \"17\",\n      \"reservable_quantity\": \"1\",\n      \"location_type\": {\n        \"sys_id\": \"20713b83eb512010b89bfdfc9c522899\",\n        \"display_value\": \"Room\"\n      },\n      \"order\": null,\n      \"requires_check_in\": null,\n      \"is_reservable\": \"1\",\n      \"type\": \"location\",\n      \"moduleType\": \"Meeting rooms\",\n      \"meetingProviders\": [],\n      \"require_subject\": true,\n      \"allow_invitees\": false,\n      \"display_number_of_attendees\": false,\n      \"display_on_behalf_of\": true,\n      \"display_sensitivity\": true,\n      \"enable_group_reservations\": false,\n      \"allow_reservation_message\": false,\n      \"warn_employee_for_duplicate_reservation\": false,\n      \"enable_reservation_privacy\": false,\n      \"employee_override_privacy\": false,\n      \"tableName\": \"sn_wsd_core_room\",\n      \"require_approval\": false,\n      \"flexible_services\": [\n        {\n          \"allow_only_single_service_item_selection\": true,\n          \"category\": \"50723fbf07100110c9b36b6e0ad300b4\",\n          \"label\": \"Space arrangement\",\n          \"description\": \"This is a service to request a different space configuration as part of a reservation.\",\n          \"sub_category\": \"chair_layout\",\n          \"title\": {\n            \"edit\": \"Update Space arrangement for A263\",\n            \"add\": \"Add Space arrangement for A263\"\n          },\n          \"sub_title\": \"Add a space arrangement item to get started\",\n          \"text\": \"Select space arrangement item\",\n          \"additional_text\": \"Select another space arrangement item\",\n          \"currency_code\": \"GBP\",\n          \"flexible_service\": [\n            {\n              \"sub_category\": \"chair_layout\",\n              \"label\": \"Chair layout\",\n              \"flexible_service\": [\n                {\n                  \"sys_id\": \"e2ecf7b307500110c9b36b6e0ad30033\",\n                  \"name\": \"Classroom Style\",\n                  \"short_description\": \"Rows of tables arranged with all participants facing towards the front of the room\",\n                  \"category\": \"50723fbf07100110c9b36b6e0ad300b4\",\n                  \"category_label\": \"Space arrangement\",\n                  \"sub_category\": \"chair_layout\",\n                  \"sub_category_label\": \"Chair layout\",\n                  \"image\": \"08d6ff68d5122110fa9b1500c1d696c5.iix\",\n                  \"quantity_enabled\": false,\n                  \"quantity_required\": false,\n                  \"capacity_enabled\": true,\n                  \"max_capacity\": \"\",\n                  \"preparation_duration\": \"1970-01-01 00:15:00\",\n                  \"cleanup_duration\": \"1970-01-01 00:15:00\",\n                  \"price_per_unit\": {\n                    \"value\": 0,\n                    \"code\": \"GBP\"\n                  },\n                  \"title\": {\n                    \"edit\": \"Update Space arrangement for A263\",\n                    \"add\": \"Add Space arrangement for A263\"\n                  },\n                  \"sub_title\": \"Add a space arrangement item to get started\",\n                  \"text\": \"Select space arrangement item\",\n                  \"additional_text\": \"Select another space arrangement item\"\n                },\n                {\n                  \"sys_id\": \"1cf33fff07100110c9b36b6e0ad30077\",\n                  \"name\": \"Banquet Rounds\",\n                  \"short_description\": \"Round tables arranged throughout the room. Participants are seated around the entire perimeter of each table\",\n                  \"category\": \"50723fbf07100110c9b36b6e0ad300b4\",\n                  \"category_label\": \"Space arrangement\",\n                  \"sub_category\": \"chair_layout\",\n                  \"sub_category_label\": \"Chair layout\",\n                  \"image\": \"cdc67720d5522110fa9b1500c1d69636.iix\",\n                  \"quantity_enabled\": false,\n                  \"quantity_required\": false,\n                  \"capacity_enabled\": true,\n                  \"max_capacity\": \"\",\n                  \"preparation_duration\": \"1970-01-01 00:15:00\",\n                  \"cleanup_duration\": \"1970-01-01 00:15:00\",\n                  \"price_per_unit\": {\n                    \"value\": 0,\n                    \"code\": \"GBP\"\n                  },\n                  \"title\": {\n                    \"edit\": \"Update Space arrangement for A263\",\n                    \"add\": \"Add Space arrangement for A263\"\n                  },\n                  \"sub_title\": \"Add a space arrangement item to get started\",\n                  \"text\": \"Select space arrangement item\",\n                  \"additional_text\": \"Select another space arrangement item\"\n                },\n                {\n                  \"sys_id\": \"21e2c08407600110c9b36b6e0ad3007c\",\n                  \"name\": \"Theater Style\",\n                  \"short_description\": \"Rows of chairs (no tables) arranged with all participants facing towards the front of the room\",\n                  \"category\": \"50723fbf07100110c9b36b6e0ad300b4\",\n                  \"category_label\": \"Space arrangement\",\n                  \"sub_category\": \"chair_layout\",\n                  \"sub_category_label\": \"Chair layout\",\n                  \"image\": \"f3d67fa4d5122110fa9b1500c1d6968b.iix\",\n                  \"quantity_enabled\": false,\n                  \"quantity_required\": false,\n                  \"capacity_enabled\": true,\n                  \"max_capacity\": \"\",\n                  \"preparation_duration\": \"1970-01-01 00:15:00\",\n                  \"cleanup_duration\": \"1970-01-01 00:15:00\",\n                  \"price_per_unit\": {\n                    \"value\": 0,\n                    \"code\": \"GBP\"\n                  },\n                  \"title\": {\n                    \"edit\": \"Update Space arrangement for A263\",\n                    \"add\": \"Add Space arrangement for A263\"\n                  },\n                  \"sub_title\": \"Add a space arrangement item to get started\",\n                  \"text\": \"Select space arrangement item\",\n                  \"additional_text\": \"Select another space arrangement item\"\n                }\n              ]\n            }\n          ]\n        },\n        {\n          \"allow_only_single_service_item_selection\": false,\n          \"category\": \"c9ab1c89c3500110547e3810a840dd41\",\n          \"label\": \"Catering\",\n          \"description\": \"This is a service to request catering as part of a reservation.\",\n          \"sub_category\": \"drinks\",\n          \"title\": {\n            \"edit\": \"Update Catering for A263\",\n            \"add\": \"Add Catering for A263\"\n          },\n          \"sub_title\": \"Add a catering item to get started\",\n          \"text\": \"Select catering item\",\n          \"additional_text\": \"Select another catering item\",\n          \"currency_code\": \"GBP\",\n          \"flexible_service\": [\n            {\n              \"sub_category\": \"drinks\",\n              \"label\": \"Drinks\",\n              \"flexible_service\": [\n                {\n                  \"sys_id\": \"48d72985c3900110547e3810a840dd7d\",\n                  \"name\": \"Champagne\",\n                  \"short_description\": \"\",\n                  \"category\": \"c9ab1c89c3500110547e3810a840dd41\",\n                  \"category_label\": \"Catering\",\n                  \"sub_category\": \"drinks\",\n                  \"sub_category_label\": \"Drinks\",\n                  \"image\": \"\",\n                  \"quantity_enabled\": true,\n                  \"quantity_required\": false,\n                  \"capacity_enabled\": false,\n                  \"max_capacity\": \"\",\n                  \"preparation_duration\": 0,\n                  \"cleanup_duration\": 0,\n                  \"price_per_unit\": {\n                    \"value\": 0,\n                    \"code\": \"GBP\"\n                  },\n                  \"title\": {\n                    \"edit\": \"Update Catering for A263\",\n                    \"add\": \"Add Catering for A263\"\n                  },\n                  \"sub_title\": \"Add a catering item to get started\",\n                  \"text\": \"Select catering item\",\n                  \"additional_text\": \"Select another catering item\"\n                }\n              ]\n            }\n          ]\n        }\n      ],\n      \"standard_services\": [],\n      \"reservable_purposes\": []\n    }\n  ]\n}\n```\n\n"}}